# Health (Infrastructure)

Endpoints to get health status about the fulfillmenttools platform.

## GET /api/health

> Health check

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to get health status about fulfillmenttools.","name":"Health (Infrastructure)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"HealthResult":{"properties":{"dependencies":{"items":{"$ref":"#/components/schemas/HealthDependencyStatus"},"minItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/HealthStatus"}},"required":["status","dependencies"],"type":"object","title":"HealthResult","description":"HealthResult"},"HealthDependencyStatus":{"properties":{"name":{"description":"Name of the component that is checked to be healthy","type":"string"},"status":{"$ref":"#/components/schemas/HealthStatus"}},"required":["name","status"],"type":"object","title":"HealthDependencyStatus","description":"HealthDependencyStatus"},"HealthStatus":{"enum":["UP","DOWN"],"type":"string","title":"HealthStatus","description":"HealthStatus"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/health":{"get":{"description":"","operationId":"healthCheck","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HealthResult"}}},"description":"Result of all tested dependencies for their health status"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Manual reroute configuration not found"}},"summary":"Health check","tags":["Health (Infrastructure)"]}}}}
```

## Get status

> Returns the platform status.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to get health status about fulfillmenttools.","name":"Health (Infrastructure)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Status":{"additionalProperties":false,"properties":{"status":{"description":"The current state of the API","enum":["UP","DEGRADED","DOWN"],"type":"string"}},"required":["status"],"type":"object","xml":{"name":"Status"},"title":"Status","description":"Status"}}},"paths":{"/api/status":{"get":{"description":"Returns the platform status.","operationId":"status","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Status"}}},"description":"The status result"}},"summary":"Get status","tags":["Health (Infrastructure)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/health-infrastructure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
